DecklinkInput.h File Reference

Header file for DecklinkInput class. More...

`#include <iostream>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <pthread.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include "DeckLinkAPI.h"`
`#include "Frame.h"`
`#include "CacheMemory.h"`
`#include "OpenMPUtilities.h"`

Go to the source code of this file.

## Classes

class | DeckLinkInputDelegate
| Implementation of the Blackmagic Decklink API (used by the DecklinkReader) More...

## Detailed Description

Header file for DecklinkInput class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org, Blackmagic Design

License

Definition in file DecklinkInput.h.